onEvent('item.tags', event => {

  event.get('forge:barrels/wooden').add('charm:oak_barrel')
  event.get('forge:barrels/wooden').add('charm:spruce_barrel')
  event.get('forge:barrels/wooden').add('charm:birch_barrel')
  event.get('forge:barrels/wooden').add('charm:jungle_barrel')
  event.get('forge:barrels/wooden').add('charm:acacia_barrel')
  event.get('forge:barrels/wooden').add('charm:dark_oak_barrel')
  event.get('forge:barrels/wooden').add('charm:crimson_barrel')
  event.get('forge:barrels/wooden').add('charm:warped_barrel')

  event.get('extendedmushrooms:mushroom_planks/colorless').add('extendedmushrooms:mushroom_vertical_planks')
  event.get('extendedmushrooms:mushroom_planks/poisonous').add('extendedmushrooms:poisonous_mushroom_vertical_planks')
  event.get('extendedmushrooms:mushroom_planks/glowshroom').add('extendedmushrooms:glowshroom_vertical_planks')

  event.get('extendedmushrooms:mushroom_planks/colorless').add('extendedmushrooms:mushroom_planks')
  event.get('extendedmushrooms:mushroom_planks/poisonous').add('extendedmushrooms:poisonous_mushroom_planks')
  event.get('extendedmushrooms:mushroom_planks/glowshroom').add('extendedmushrooms:glowshroom_planks')

  event.get('forge:fruits').add('autumnity:foul_berries')

  event.get('forge:fruits').add('tnp:baked_glow_berries')
  event.get('forge:fruits/berries').add('tnp:baked_glow_berries')
  event.get('forge:fruits/sweet_berries').add('tnp:baked_glow_berries')
  event.get('forge:fruits/sweetberries').add('tnp:baked_glow_berries')
  event.get('alexsmobs:elephant_foodstuffs').add('tnp:baked_glow_berries')

  event.get('forge:fruits').add('tnp:golden_berries')
  event.get('forge:fruits/sweet_berries').add('tnp:golden_berries')
  event.get('forge:fruits/sweetberries').add('tnp:golden_berries')
  event.get('alexsmobs:elephant_foodstuffs').add('tnp:golden_berries')

  event.get('forge:fruits').add('tnp:golden_melon_slice')
  event.get('forge:fruits/melon').add('tnp:golden_melon_slice')
  event.get('alexsmobs:elephant_foodstuffs').add('tnp:golden_melon_slice')

  event.get('forge:fruits').add('environmental:cherries')

  event.get('minecraft:flowers/classic_rose').add('variant16x:rose')
  event.get('minecraft:flowers/classic_rose').add('biomesoplenty:rose')
  event.get('minecraft:flowers/classic_rose').add('byg:rose')


  event.get('forge:salad_ingredients').add('farmersdelight:tomato')
  event.get('forge:salad_ingredients/tomato').add('farmersdelight:tomato')
  event.get('forge:vinegar_ingredients').add('farmersdelight:tomato')
  event.get('forge:vinegar_ingredients/tomato').add('farmersdelight:tomato')


  event.get('forge:onions').add('farmersdelight:onion')
  event.get('forge:onions/onion').add('farmersdelight:onion')
  event.get('forge:rootvegetables').add('farmersdelight:onion')
  event.get('forge:rootvegetables/onion').add('farmersdelight:onion')

  event.get('forge:leafyvegetables').add('farmersdelight:cabbage')
  event.get('forge:leafyvegetables/cabbage').add('farmersdelight:cabbage')
  event.get('forge:leafyvegetables').add('farmersdelight:cabbage_leaf')
  event.get('forge:leafyvegetables/cabbage').add('farmersdelight:cabbage_leaf')

  event.get('forge:vegetables').add('farmersdelight:cabbage')
  event.get('forge:vegetables/cabbage').add('farmersdelight:cabbage')
  event.get('forge:vegetables').add('farmersdelight:cabbage_leaf')
  event.get('forge:vegetables/cabbage').add('farmersdelight:cabbage_leaf')

  event.get('forge:leafyvegetables').add('ravageandcabbage:cabbage')
  event.get('forge:leafyvegetables/cabbage').add('ravageandcabbage:cabbage')

  event.get('forge:vegetables').add('ravageandcabbage:cabbage')
  event.get('forge:vegetables/cabbage').add('ravageandcabbage:cabbage')

  event.get('forge:logs').add('outvoted:baobab_log')
  event.get('forge:logs_that_burn').add('outvoted:baobab_log')
  event.get('forge:logs').add('outvoted:baobab_wood')
  event.get('forge:logs_that_burn').add('outvoted:baobab_wood')
  event.get('forge:logs').add('outvoted:stripped_baobab_log')
  event.get('forge:logs_that_burn').add('outvoted:stripped_baobab_log')
  event.get('forge:logs').add('outvoted:stripped_baobab_wood')
  event.get('forge:logs_that_burn').add('outvoted:stripped_baobab_wood')

  event.get('minecraft:planks').add('outvoted:baobab_planks')

  event.get('forge:flour_plants').add('abundance:sunflower_seeds')
  event.get('forge:flour_plants/sunflowerseeds').add('abundance:sunflower_seeds')
  event.get('forge:nuts').add('abundance:sunflower_seeds')
  event.get('forge:nuts/sunflowerseeds').add('abundance:sunflower_seeds')

  event.get('forge:fruits/strawberries').add('neapolitan:strawberries')
  event.get('forge:vinegar_ingredients').add('neapolitan:strawberries')
  event.get('forge:vinegar_ingredients/strawberries').add('neapolitan:strawberries')
  event.get('forge:vinegar_ingredients/strawberry').add('neapolitan:strawberries')

  event.get('forge:fruits/strawberries').add('neapolitan:white_strawberries')
  event.get('forge:vinegar_ingredients').add('neapolitan:white_strawberries')
  event.get('forge:vinegar_ingredients/strawberries').add('neapolitan:white_strawberries')
  event.get('forge:vinegar_ingredients/strawberry').add('neapolitan:white_strawberries')

  event.get('forge:mud_ball').add('environmental:mud_ball')
  event.get('forge:mud_ball').add('biomesoplenty:mud_ball')
  event.get('forge:mud_ball').add('unnamedanimalmod:mud_ball')

  event.get('forge:cooked_vegetables').add('vanillacookbook:cooked_beetroot')

  event.get('minecraft:logs').add('spheric:larks_log')
  event.get('minecraft:logs').add('spheric:antreza_log')
  event.get('minecraft:logs').add('spheric:lar_log')
  event.get('minecraft:logs').add('nethers_exoticism:ramboutan_log')
  event.get('minecraft:logs').add('nethers_exoticism:ramboutan_wood')
  event.get('minecraft:logs').add('outvoted:baobab_log')
  event.get('minecraft:logs').add('outvoted:baobab_wood')

  event.get('minecraft:logs_that_burn').add('spheric:larks_log')
  event.get('minecraft:logs_that_burn').add('spheric:antreza_log')
  event.get('minecraft:logs_that_burn').add('spheric:lar_log')
  event.get('minecraft:logs_that_burn').add('nethers_exoticism:ramboutan_log')
  event.get('minecraft:logs_that_burn').add('nethers_exoticism:ramboutan_wood')
  event.get('minecraft:logs_that_burn').add('outvoted:baobab_log')
  event.get('minecraft:logs_that_burn').add('outvoted:baobab_wood')

  event.get('forge:tools/hoe').add('mysticalworld:cactus_hoe') 
  event.get('forge:tools/hoe').add('mysticalworld:copper_hoe') 
  event.get('forge:tools/hoe').add('mysticalworld:quicksilver_hoe') 
  event.get('forge:tools/hoe').add('mysticalworld:silver_hoe') 
  event.get('forge:tools/hoe').add('mysticalworld:lead_hoe') 
  event.get('forge:tools/hoe').add('mysticalworld:tin_hoe') 
  event.get('forge:tools/hoe').add('nethers_exoticism:kiwano_hoe') 
  event.get('forge:tools/hoe').add('pickletweaks:flint_hoe') 
  event.get('forge:tools/hoe').add('pickletweaks:emerald_hoe') 
  event.get('forge:tools/hoe').add('simplysteel:steel_hoe') 
  event.get('forge:tools/hoe').add('spheric:ascenda_hoe') 
  event.get('forge:tools/hoe').add('netheragriculture:blazing_gold_hoe') 
  event.get('forge:tools/hoe').add('endreborn:endorium_hoe') 
  event.get('forge:tools/hoe').add('endreborn:tungsten_hoe') 
  event.get('forge:tools/hoe').add('mysticalworld:sapphire_hoe') 
  event.get('forge:tools/hoe').add('advancednetherite:netherite_iron_hoe') 
  event.get('forge:tools/hoe').add('advancednetherite:netherite_gold_hoe') 
  event.get('forge:tools/hoe').add('advancednetherite:netherite_emerald_hoe') 
  event.get('forge:tools/hoe').add('advancednetherite:netherite_diamond_hoe') 
  event.get('forge:tools/hoe').add('aquaculture:neptunium_hoe') 
  event.get('forge:mud_bricks').add('biomesoplenty:mud_bricks')
  event.get('forge:mud_bricks').add('environmental:mud_bricks')
  event.get('forge:mud_bricks').add('mysticalworld:mud_brick')
  event.get('forge:mud_bricks').add('unnamedanimalmod:mud_bricks')
  event.get('forge:mud_bricks').add('unnamedanimalmod:dried_mud_bricks')
  event.get('forge:mud_bricks').add('druidcraft:dry_mud_bricks')

  event.get('forge:raw_ore_blocks').add('tnp:raw_silver_block')
  event.get('forge:raw_ore_blocks').add('tnp:raw_tin_block')
  event.get('forge:raw_ore_blocks').add('tnp:raw_lead_block')
  event.get('forge:raw_ore_blocks').add('tnp:raw_quicksilver_block')
  event.get('forge:raw_ore_blocks').add('cavesandcliffs:raw_iron_block')
  event.get('forge:raw_ore_blocks').add('cavesandcliffs:raw_gold_block')
  event.get('forge:raw_ore_blocks').add('cavesandcliffs:raw_copper_block')

  event.get('forge:fruits').add('cavesandcliffs:glow_berries')
  event.get('forge:fruits/berries').add('cavesandcliffs:glow_berries')
  event.get('forge:fruits/sweet_berries').add('cavesandcliffs:glow_berries')

  event.get('forge:nuggets/copper').add('tnp:copper_nugget')

  event.get('forge:crops').add('byg:green_apple')
  event.get('forge:crops/apple').add('byg:green_apple')
  event.get('forge:fruits/apple').add('byg:green_apple')
  event.get('environmental:deer_food').add('byg:green_apple')
  event.get('environmental:deer_tempt_items').add('byg:green_apple')
  event.get('alexsmobs:elephant_foodstuffs').add('byg:green_apple')
  event.get('fruitful:gives_sustaining').add('byg:green_apple')
  event.get('alexsmobs:gorilla_foodstuffs').add('byg:green_apple')
  event.get('mysticalworld:sugars').add('byg:green_apple')
  event.get('forge:vinegar_ingredients').add('byg:green_apple')
  event.get('forge:vinegar_ingredients/apple').add('byg:green_apple')


  event.get('forge:crops').add('tnp:green_baked_apple')
  event.get('forge:crops/apple').add('tnp:green_baked_apple')
  event.get('environmental:deer_food').add('tnp:green_baked_apple')
  event.get('environmental:deer_tempt_items').add('tnp:green_baked_apple')
  event.get('alexsmobs:elephant_foodstuffs').add('tnp:green_baked_apple')
  event.get('forge:fruits').add('tnp:green_baked_apple')
  event.get('forge:fruits/apple').add('tnp:green_baked_apple') 
  event.get('fruitful:gives_sustaining_ii').add('tnp:green_baked_apple')
  event.get('alexsmobs:gorilla_foodstuffs').add('tnp:green_baked_apple')
  event.get('mysticalworld:sugars').add('tnp:green_baked_apple')
  event.get('forge:vinegar_ingredients').add('tnp:green_baked_apple')
  event.get('forge:vinegar_ingredients/apple').add('tnp:green_baked_apple')


  event.get('forge:crops').add('fruitful:baked_apple')
  event.get('forge:crops/apple').add('fruitful:baked_apple')
  event.get('environmental:deer_food').add('fruitful:baked_apple')
  event.get('environmental:deer_tempt_items').add('fruitful:baked_apple')
  event.get('alexsmobs:elephant_foodstuffs').add('fruitful:baked_apple')
  event.get('forge:fruits').add('fruitful:baked_apple')
  event.get('forge:fruits/apple').add('fruitful:baked_apple') 
  event.get('alexsmobs:gorilla_foodstuffs').add('fruitful:baked_apple')
  event.get('mysticalworld:sugars').add('fruitful:baked_apple')
  event.get('forge:vinegar_ingredients').add('fruitful:baked_apple')
  event.get('forge:vinegar_ingredients/apple').add('fruitful:baked_apple')

  event.get('forge:reeds').add('byg:reeds')
  event.get('forge:reeds').add('terraincognita:reeds')
  event.get('forge:reeds').add('biomesoplenty:reed')

  event.get('forge:flowers/lavender').add('druidcraft:lavender')
  event.get('forge:flowers/lavender').add('abundance:lavender')


  event.get('forge:seeds').add('neapolitan:strawberry_pips')
  event.get('forge:seeds/strawberry').add('neapolitan:strawberry_pips')
  event.get('terraincognita:basket_storable').add('neapolitan:strawberry_pips')
  event.get('alexsmobs:crow_foodstuffs').add('neapolitan:strawberry_pips')
  event.get('quark:seed_pouch_holdable').add('neapolitan:strawberry_pips')

  event.get('forge:carbs').add('simplecorn:corncob')
  event.get('forge:carbs/corn').add('simplecorn:corncob')
  event.get('forge:flour_plants').add('simplecorn:corncob')
  event.get('forge:flour_plants/corn').add('simplecorn:corncob')
  event.get('forge:grain').add('simplecorn:corncob')
  event.get('forge:grain/corn').add('simplecorn:corncob')
  event.get('forge:protein').add('simplecorn:corncob')
  event.get('forge:protein/corn').add('simplecorn:corncob')

  event.get('terraincognita:basket_storable').add('byg:blueberries')
  event.get('forge:crops/sweetberry').add('byg:blueberries')
  event.get('forge:crops/blueberry').add('byg:blueberries')
  event.get('environmental:deer_food').add('byg:blueberries')
  event.get('environmental:deer_tempt_items').add('byg:blueberries')
  event.get('alexsmobs:elephant_foodstuffs').add('byg:blueberries')
  event.get('forge:fruits/sweet_berries').add('byg:blueberries')
  event.get('forge:fruits/sweetberries').add('byg:blueberries')
  event.get('quark:seed_pouch_holdable').add('byg:blueberries')
  event.get('forge:vinegar_ingredients').add('byg:blueberries')
  event.get('forge:vinegar_ingredients/sweet_berries').add('byg:blueberries')
  event.get('forge:vinegar_ingredients/sweetberries').add('byg:blueberries')
  event.get('forge:fruits/blueberry').add('byg:blueberries')
  event.get('forge:fruits/blueberries').add('byg:blueberries')

  event.get('minecraft:wool').remove('minecraft:brown_mushroom_block')
  event.get('minecraft:wool').remove('minecraft:red_mushroom_block')
  event.get('minecraft:wool').remove('extendedmushrooms:glowshroom_cap')
  event.get('minecraft:wool').remove('extendedmushrooms:poisonous_mushroom_cap')
  event.get('extendedmushrooms:mushroom_buttons/wool').remove('extendedmushrooms:brown_mushroom_button')
  event.get('extendedmushrooms:mushroom_buttons/wool').remove('extendedmushrooms:red_mushroom_button')
  event.get('extendedmushrooms:mushroom_buttons/wool').remove('extendedmushrooms:glowshroom_cap_button')
  event.get('extendedmushrooms:mushroom_buttons/wool').remove('extendedmushrooms:glowshroom_cap_button')
  event.get('extendedmushrooms:mushroom_pressure_plates/wool').remove('extendedmushrooms:brown_mushroom_pressure_plate')
  event.get('extendedmushrooms:mushroom_pressure_plates/wool').remove('extendedmushrooms:red_mushroom_pressure_plate')
  event.get('extendedmushrooms:mushroom_pressure_plates/wool').remove('extendedmushrooms:glowshroom_cap_pressure_plate')
  event.get('extendedmushrooms:mushroom_pressure_plates/wool').remove('extendedmushrooms:poisonous_mushroom_cap_pressure_plate')

  event.get('quark:stone_tool_materials').remove('minecraft:flint')

  event.get('forge:nuggets/diamond').add('tnp:diamond_nugget')
  event.get('forge:nuggets/emerald').add('tnp:emerald_nugget')

  event.get('forge:nuggets').add('tnp:emerald_nugget')
  event.get('forge:nuggets').add('tnp:diamond_nugget')

  event.get('story:material').add('simplysteel:steel_ingot')
  event.get('story:material').add('mysticalworld:tin_ingot')
  event.get('story:material').add('mysticalworld:silver_ingot')
  event.get('story:material').add('cavesandcliffs:copper_ingot')
  event.get('story:material').add('endreborn:tungsten_ingot')
  event.get('story:material').add('minecraft:iron_ingot')

  event.get('story:metal_armor').add('simplysteel:steel_helmet')
  event.get('story:metal_armor').add('simplysteel:steel_chestplate')
  event.get('story:metal_armor').add('simplysteel:steel_leggings')
  event.get('story:metal_armor').add('simplysteel:steel_boots')

  event.get('story:metal_armor').add('mysticalworld:tin_helmet')
  event.get('story:metal_armor').add('mysticalworld:tin_chestplate')
  event.get('story:metal_armor').add('mysticalworld:tin_leggings')
  event.get('story:metal_armor').add('mysticalworld:tin_boots')

  event.get('story:metal_armor').add('mysticalworld:silver_helmet')
  event.get('story:metal_armor').add('mysticalworld:silver_chestplate')
  event.get('story:metal_armor').add('mysticalworld:silver_leggings')
  event.get('story:metal_armor').add('mysticalworld:silver_boots')

  event.get('story:metal_armor').add('mysticalworld:copper_helmet')
  event.get('story:metal_armor').add('mysticalworld:copper_chestplate')
  event.get('story:metal_armor').add('mysticalworld:copper_leggings')
  event.get('story:metal_armor').add('mysticalworld:copper_boots')

  event.get('story:metal_armor').add('endreborn:tungsten_helmet')
  event.get('story:metal_armor').add('endreborn:tungsten_chestplate')
  event.get('story:metal_armor').add('endreborn:tungsten_leggings')
  event.get('story:metal_armor').add('endreborn:tungsten_boots')

  event.get('story:metal_armor').add('minecraft:iron_helmet')
  event.get('story:metal_armor').add('minecraft:iron_chestplate')
  event.get('story:metal_armor').add('minecraft:iron_leggings')
  event.get('story:metal_armor').add('minecraft:iron_boots')


  event.get('story:metal_pickaxes').add('simplysteel:steel_pickaxe')
  event.get('story:metal_pickaxes').add('mysticalworld:tin_pickaxe')
  event.get('story:metal_pickaxes').add('mysticalworld:silver_pickaxe')
  event.get('story:metal_pickaxes').add('mysticalworld:copper_pickaxe')
  event.get('story:metal_pickaxes').add('endreborn:tungsten_pickaxe')
  event.get('story:metal_pickaxes').add('minecraft:iron_pickaxe')

  event.get('story:shiny_pickaxes').add('spheric:ascenda_pickaxe')
  event.get('story:shiny_pickaxes').add('nethers_exoticism:kiwano_pickaxe')
  event.get('story:shiny_pickaxes').add('mysticalworld:quicksilver_pickaxe')
  event.get('story:shiny_pickaxes').add('morevanillatools:obsidian_pickaxe')
  event.get('story:shiny_pickaxes').add('endreborn:endorium_pickaxe')
  event.get('story:shiny_pickaxes').add('aquaculture:neptunium_pickaxe')
  event.get('story:shiny_pickaxes').add('pickletweaks:emerald_pickaxe')
  event.get('story:shiny_pickaxes').add('mysticalworld:lead_pickaxe')
  event.get('story:shiny_pickaxes').add('mysticalworld:sapphire_pickaxe')
  event.get('story:shiny_pickaxes').add('minecraft:diamond_pickaxe')
  event.get('story:shiny_pickaxes').add('betterendforge:aeternium_pickaxe')
  event.get('story:shiny_pickaxes').add('betterendforge:terminite_pickaxe')

  event.get('chest:planks').add('biomesoplenty:fir_planks')
  event.get('chest:planks').add('biomesoplenty:redwood_planks')
  event.get('chest:planks').add('biomesoplenty:mahogany_planks')
  event.get('chest:planks').add('biomesoplenty:jacaranda_planks')
  event.get('chest:planks').add('biomesoplenty:palm_planks')
  event.get('chest:planks').add('biomesoplenty:magic_planks')
  event.get('chest:planks').add('biomesoplenty:hellbark_planks')
  event.get('chest:planks').add('byg:baobab_planks')
  event.get('chest:planks').add('byg:bulbis_planks')
  event.get('chest:planks').add('byg:zelkova_planks')
  event.get('chest:planks').add('byg:embur_planks')
  event.get('chest:planks').add('byg:sythian_planks')
  event.get('chest:planks').add('byg:skyris_planks')
  event.get('chest:planks').add('byg:rainbow_eucalyptus_planks')
  event.get('chest:planks').add('byg:nightshade_planks')
  event.get('chest:planks').add('byg:lament_planks')
  event.get('chest:planks').add('byg:imparius_planks')
  event.get('chest:planks').add('byg:holly_planks')
  event.get('chest:planks').add('byg:ether_planks')
  event.get('chest:planks').add('byg:ebony_planks')
  event.get('chest:planks').add('byg:cika_planks')
  event.get('chest:planks').add('abundance:vertical_redbud_planks')
  event.get('chest:planks').add('atmospheric:vertical_rosewood_planks')
  event.get('chest:planks').add('atmospheric:vertical_morado_planks')
  event.get('chest:planks').add('atmospheric:vertical_yucca_planks')
  event.get('chest:planks').add('atmospheric:vertical_kousa_planks')
  event.get('chest:planks').add('atmospheric:vertical_grimwood_planks')
  event.get('chest:planks').add('autumnity:vertical_maple_planks')
  event.get('chest:planks').add('bamboo_blocks:vertical_bamboo_planks')
  event.get('chest:planks').add('enhanced_mushrooms:vertical_glowshroom_planks')
  event.get('chest:planks').add('environmental:vertical_willow_planks')
  event.get('chest:planks').add('environmental:vertical_cherry_planks')
  event.get('chest:planks').add('environmental:vertical_wisteria_planks')
  event.get('chest:planks').add('atmospheric:vertical_aspen_planks')
  event.get('chest:planks').add('quark:vertical_oak_planks')
  event.get('chest:planks').add('quark:vertical_spruce_planks')
  event.get('chest:planks').add('quark:vertical_birch_planks')
  event.get('chest:planks').add('quark:vertical_jungle_planks')
  event.get('chest:planks').add('quark:vertical_acacia_planks')
  event.get('chest:planks').add('enhanced_mushrooms:vertical_brown_mushroom_planks')
  event.get('chest:planks').add('enhanced_mushrooms:vertical_red_mushroom_planks')
  event.get('chest:planks').add('bayou_blues:vertical_cypress_planks')
  event.get('chest:planks').add('quark:vertical_dark_oak_planks')
  event.get('chest:planks').add('quark:vertical_cyan_stained_planks')
  event.get('chest:planks').add('quark:vertical_purple_stained_planks')
  event.get('chest:planks').add('quark:vertical_crimson_planks')
  event.get('chest:planks').add('quark:vertical_warped_planks')
  event.get('chest:planks').add('quark:vertical_blue_stained_planks')
  event.get('chest:planks').add('quark:vertical_brown_stained_planks')
  event.get('chest:planks').add('quark:vertical_white_stained_planks')
  event.get('chest:planks').add('quark:vertical_orange_stained_planks')
  event.get('chest:planks').add('quark:vertical_green_stained_planks')
  event.get('chest:planks').add('quark:vertical_red_stained_planks')
  event.get('chest:planks').add('quark:vertical_magenta_stained_planks')
  event.get('chest:planks').add('quark:vertical_light_blue_stained_planks')
  event.get('chest:planks').add('quark:vertical_black_stained_planks')
  event.get('chest:planks').add('quark:vertical_yellow_stained_planks')
  event.get('chest:planks').add('quark:vertical_lime_stained_planks')
  event.get('chest:planks').add('endergetic:vertical_poise_planks')
  event.get('chest:planks').add('quark:vertical_pink_stained_planks')
  event.get('chest:planks').add('quark:vertical_gray_stained_planks')
  event.get('chest:planks').add('terraincognita:vertical_hazel_planks')
  event.get('chest:planks').add('quark:vertical_light_gray_stained_planks')
  event.get('chest:planks').add('druidcraft:elder_planks')
  event.get('chest:planks').add('druidcraft:darkwood_planks')
  event.get('chest:planks').add('netheragriculture:glowing_planks')
  event.get('chest:planks').add('quark:light_blue_stained_planks')
  event.get('chest:planks').add('quark:black_stained_planks')
  event.get('chest:planks').add('quark:red_stained_planks')
  event.get('chest:planks').add('quark:magenta_stained_planks')
  event.get('chest:planks').add('quark:orange_stained_planks')
  event.get('chest:planks').add('quark:green_stained_planks')
  event.get('chest:planks').add('quark:brown_stained_planks')
  event.get('chest:planks').add('projectvibrantjourneys:joshua_planks')
  event.get('chest:planks').add('quark:blue_stained_planks')
  event.get('chest:planks').add('quark:white_stained_planks')
  event.get('chest:planks').add('nethers_exoticism:jaboticaba_planks')
  event.get('chest:planks').add('quark:yellow_stained_planks')
  event.get('chest:planks').add('spheric:antreza_planks')
  event.get('chest:planks').add('spheric:larks_planks')
  event.get('chest:planks').add('quark:lime_stained_planks')
  event.get('chest:planks').add('nethers_exoticism:ramboutan_planks')
  event.get('chest:planks').add('nourished_end:stalk_planks')
  event.get('chest:planks').add('quark:pink_stained_planks')
  event.get('chest:planks').add('quark:gray_stained_planks')
  event.get('chest:planks').add('quark:cyan_stained_planks')
  event.get('chest:planks').add('projectvibrantjourneys:juniper_planks')
  event.get('chest:planks').add('projectvibrantjourneys:tamarack_planks')
  event.get('chest:planks').add('spheric:lar_planks')
  event.get('chest:planks').add('projectvibrantjourneys:cottonwood_planks')
  event.get('chest:planks').add('projectvibrantjourneys:pine_planks')
  event.get('chest:planks').add('quark:light_gray_stained_planks')
  event.get('chest:planks').add('unnamedanimalmod:mangrove_planks')
  event.get('chest:planks').add('quark:purple_stained_planks')
  event.get('chest:logs').add('biomesoplenty:fir_log')
  event.get('chest:logs').add('biomesoplenty:redwood_log')
  event.get('chest:logs').add('biomesoplenty:mahogany_log')
  event.get('chest:logs').add('biomesoplenty:jacaranda_log')
  event.get('chest:logs').add('biomesoplenty:palm_log')
  event.get('chest:logs').add('biomesoplenty:magic_log')
  event.get('chest:logs').add('biomesoplenty:hellbark_log')
  event.get('chest:logs').add('betterlands:juniper_log')
  event.get('chest:logs').add('spheric:antreza_log')
  event.get('chest:logs').add('spheric:lar_log')
  event.get('chest:logs').add('spheric:larks_log')
  event.get('chest:logs').add('druidcraft:darkwood_wood')
  event.get('chest:logs').add('druidcraft:stripped_darkwood_wood')
  event.get('chest:logs').add('druidcraft:stripped_darkwood_log')
  event.get('chest:logs').add('druidcraft:darkwood_log')
  event.get('chest:logs').add('druidcraft:elder_wood')
  event.get('chest:logs').add('druidcraft:stripped_elder_wood')
  event.get('chest:logs').add('druidcraft:stripped_elder_log')
  event.get('chest:logs').add('druidcraft:elder_log')
  event.get('chest:logs').add('mysticalworld:stripped_charred_log')
  event.get('chest:logs').add('mysticalworld:stripped_charred_wood')
  event.get('chest:logs').add('mysticalworld:charred_log')
  event.get('chest:logs').add('mysticalworld:charred_wood')
  event.get('chest:logs').add('byg:stripped_baobab_wood')
  event.get('chest:logs').add('byg:stripped_baobab_log')
  event.get('chest:logs').add('byg:baobab_wood')
  event.get('chest:logs').add('byg:baobab_log')
  event.get('chest:logs').add('byg:stripped_cika_wood')
  event.get('chest:logs').add('byg:stripped_cika_log')
  event.get('chest:logs').add('byg:cika_wood')
  event.get('chest:logs').add('byg:cika_log')
  event.get('chest:logs').add('byg:stripped_ebony_wood')
  event.get('chest:logs').add('byg:stripped_ebony_log')
  event.get('chest:logs').add('byg:ebony_wood')
  event.get('chest:logs').add('byg:ebony_log')
  event.get('chest:logs').add('byg:stripped_ether_wood')
  event.get('chest:logs').add('byg:stripped_ether_log')
  event.get('chest:logs').add('byg:ether_wood')
  event.get('chest:logs').add('byg:ether_log')
  event.get('chest:logs').add('byg:stripped_holly_wood')
  event.get('chest:logs').add('byg:stripped_holly_log')
  event.get('chest:logs').add('byg:holly_wood')
  event.get('chest:logs').add('byg:holly_log')
  event.get('chest:logs').add('byg:stripped_lament_wood')
  event.get('chest:logs').add('byg:stripped_lament_log')
  event.get('chest:logs').add('byg:lament_wood')
  event.get('chest:logs').add('byg:lament_log')
  event.get('chest:logs').add('byg:stripped_nightshade_wood')
  event.get('chest:logs').add('byg:stripped_nightshade_log')
  event.get('chest:logs').add('byg:nightshade_wood')
  event.get('chest:logs').add('byg:nightshade_log')
  event.get('chest:logs').add('byg:imbued_nightshade_log')
  event.get('chest:logs').add('byg:stripped_rainbow_eucalyptus_wood')
  event.get('chest:logs').add('byg:stripped_rainbow_eucalyptus_log')
  event.get('chest:logs').add('byg:rainbow_eucalyptus_wood')
  event.get('chest:logs').add('byg:rainbow_eucalyptus_log')
  event.get('chest:logs').add('byg:stripped_skyris_wood')
  event.get('chest:logs').add('byg:stripped_skyris_log')
  event.get('chest:logs').add('byg:skyris_wood')
  event.get('chest:logs').add('byg:skyris_log')
  event.get('chest:logs').add('byg:stripped_zelkova_wood')
  event.get('chest:logs').add('byg:stripped_zelkova_log')
  event.get('chest:logs').add('byg:zelkova_wood')
  event.get('chest:logs').add('byg:zelkova_log')
  event.get('chest:logs').add('projectvibrantjourneys:pine_log')
  event.get('chest:logs').add('projectvibrantjourneys:stripped_pine_wood')
  event.get('chest:logs').add('projectvibrantjourneys:stripped_pine_log')
  event.get('chest:logs').add('projectvibrantjourneys:pine_wood')
  event.get('chest:logs').add('nethers_exoticism:ramboutan_log')
  event.get('chest:logs').add('nethers_exoticism:ramboutan_wood')
  event.get('chest:logs').add('unnamedanimalmod:stripped_mangrove_wood')
  event.get('chest:logs').add('unnamedanimalmod:stripped_mangrove_log')
  event.get('chest:logs').add('unnamedanimalmod:mangrove_wood')
  event.get('chest:logs').add('unnamedanimalmod:mangrove_log')
  event.get('chest:logs').add('projectvibrantjourneys:stripped_joshua_wood')
  event.get('chest:logs').add('projectvibrantjourneys:stripped_joshua_log')
  event.get('chest:logs').add('projectvibrantjourneys:joshua_wood')
  event.get('chest:logs').add('projectvibrantjourneys:joshua_log')
  event.get('chest:logs').add('projectvibrantjourneys:stripped_tamarack_wood')
  event.get('chest:logs').add('projectvibrantjourneys:stripped_tamarack_log')
  event.get('chest:logs').add('projectvibrantjourneys:tamarack_wood')
  event.get('chest:logs').add('projectvibrantjourneys:tamarack_log')
  event.get('chest:logs').add('projectvibrantjourneys:juniper_wood')
  event.get('chest:logs').add('projectvibrantjourneys:stripped_juniper_wood')
  event.get('chest:logs').add('projectvibrantjourneys:stripped_juniper_log')
  event.get('chest:logs').add('projectvibrantjourneys:juniper_log')
  event.get('chest:logs').add('projectvibrantjourneys:stripped_cottonwood_wood')
  event.get('chest:logs').add('projectvibrantjourneys:stripped_cottonwood_log')
  event.get('chest:logs').add('projectvibrantjourneys:cottonwood_wood')
  event.get('chest:logs').add('projectvibrantjourneys:cottonwood_log')

  event.get('birch_chest:logs').add('byg:stripped_palo_verde_wood')
  event.get('birch_chest:logs').add('byg:stripped_palo_verde_log')
  event.get('birch_chest:logs').add('byg:palo_verde_wood')
  event.get('birch_chest:logs').add('byg:palo_verde_log')

  event.get('story:shiny_helmet').add('spheric:ascenda_armor_helmet')
  event.get('story:shiny_helmet').add('minecraft:diamond_helmet')
  event.get('story:shiny_helmet').add('pickletweaks:emerald_helmet')
  event.get('story:shiny_helmet').add('omnis:haunted_helmet')
  event.get('story:shiny_helmet').add('omnis:ravaged_helmet')
  event.get('story:shiny_helmet').add('byg:ametrine_helmet')
  event.get('story:shiny_helmet').add('mysticalworld:sapphire_helmet')
  event.get('story:shiny_helmet').add('morevanillaarmor:slime_helmet')
  event.get('story:shiny_helmet').add('morevanillaarmor:obsidian_helmet')
  event.get('story:shiny_helmet').add('endreborn:tungsten_helmet')
  event.get('story:shiny_helmet').add('druidcraft:moonstone_helmet')
  event.get('story:shiny_helmet').add('druidcraft:chitin_helmet')
  event.get('story:shiny_helmet').add('aquaculture:neptunium_helmet')
  event.get('story:shiny_helmet').add('betterendforge:aeternium_helmet')
  event.get('story:shiny_helmet').add('betterendforge:crystalite_helmet')
  event.get('story:shiny_helmet').add('betterendforge:terminite_helmet')

  event.get('story:shiny_chestplate').add('spheric:ascenda_armor_chestplate')
  event.get('story:shiny_chestplate').add('minecraft:diamond_chestplate')
  event.get('story:shiny_chestplate').add('pickletweaks:emerald_chestplate')
  event.get('story:shiny_chestplate').add('omnis:haunted_chestplate')
  event.get('story:shiny_chestplate').add('omnis:ravaged_chestplate')
  event.get('story:shiny_chestplate').add('byg:ametrine_chestplate')
  event.get('story:shiny_chestplate').add('mysticalworld:sapphire_chestplate')
  event.get('story:shiny_chestplate').add('morevanillaarmor:slime_chestplate')
  event.get('story:shiny_chestplate').add('morevanillaarmor:obsidian_chestplate')
  event.get('story:shiny_chestplate').add('endreborn:tungsten_chestplate')
  event.get('story:shiny_chestplate').add('druidcraft:moonstone_chestplate')
  event.get('story:shiny_chestplate').add('druidcraft:chitin_chestplate')
  event.get('story:shiny_chestplate').add('aquaculture:neptunium_chestplate')
  event.get('story:shiny_chestplate').add('betterendforge:aeternium_chestplate')
  event.get('story:shiny_chestplate').add('betterendforge:crystalite_chestplate')
  event.get('story:shiny_chestplate').add('betterendforge:terminite_chestplate')

  event.get('story:shiny_leggings').add('spheric:ascenda_armor_leggings')
  event.get('story:shiny_leggings').add('minecraft:diamond_leggings')
  event.get('story:shiny_leggings').add('pickletweaks:emerald_leggings')
  event.get('story:shiny_leggings').add('omnis:haunted_leggings')
  event.get('story:shiny_leggings').add('omnis:ravaged_leggings')
  event.get('story:shiny_leggings').add('byg:ametrine_leggings')
  event.get('story:shiny_leggings').add('mysticalworld:sapphire_leggings')
  event.get('story:shiny_leggings').add('morevanillaarmor:slime_leggings')
  event.get('story:shiny_leggings').add('morevanillaarmor:obsidian_leggings')
  event.get('story:shiny_leggings').add('endreborn:tungsten_leggings')
  event.get('story:shiny_leggings').add('druidcraft:moonstone_leggings')
  event.get('story:shiny_leggings').add('druidcraft:chitin_leggings')
  event.get('story:shiny_leggings').add('aquaculture:neptunium_leggings')
  event.get('story:shiny_leggings').add('betterendforge:aeternium_leggings')
  event.get('story:shiny_leggings').add('betterendforge:crystalite_leggings')
  event.get('story:shiny_leggings').add('betterendforge:terminite_leggings')

  event.get('story:shiny_boots').add('spheric:ascenda_armor_boots')
  event.get('story:shiny_boots').add('minecraft:diamond_boots')
  event.get('story:shiny_boots').add('pickletweaks:emerald_boots')
  event.get('story:shiny_boots').add('omnis:haunted_boots')
  event.get('story:shiny_boots').add('omnis:ravaged_boots')
  event.get('story:shiny_boots').add('byg:ametrine_boots')
  event.get('story:shiny_boots').add('mysticalworld:sapphire_boots')
  event.get('story:shiny_boots').add('morevanillaarmor:slime_boots')
  event.get('story:shiny_boots').add('morevanillaarmor:obsidian_boots')
  event.get('story:shiny_boots').add('endreborn:tungsten_boots')
  event.get('story:shiny_boots').add('druidcraft:moonstone_boots')
  event.get('story:shiny_boots').add('druidcraft:chitin_boots')
  event.get('story:shiny_boots').add('aquaculture:neptunium_boots')
  event.get('story:shiny_boots').add('betterendforge:aeternium_boots')
  event.get('story:shiny_boots').add('betterendforge:crystalite_boots')
  event.get('story:shiny_boots').add('betterendforge:terminite_boots')

  event.get('forge:ingot_mud_bricks').add('biomesoplenty:mud_brick')
  event.get('forge:ingot_mud_bricks').add('environmental:mud_brick')

  event.get('forge:eggs').remove('minecraft:turtle_egg')

  event.get('forge:stone').remove('mysticalworld:soft_stone')
  event.get('quark:stone_tool_materials').remove('mysticalworld:soft_stone')

  event.get('forge:stone').remove('mysticalworld:blackened_stone')
  event.get('quark:stone_tool_materials').remove('mysticalworld:blackened_stone')

  event.get('quark:revertable_chests').add('extendedmushrooms:mushroom_chest')
  event.get('quark:revertable_chests').add('extendedmushrooms:glowshroom_chest')
  event.get('quark:revertable_chests').add('extendedmushrooms:poisonous_mushroom_chest')
  event.get('quark:revertable_chests').add('atmospheric:rosewood_chest')
  event.get('quark:revertable_chests').add('atmospheric:morado_chest')
  event.get('quark:revertable_chests').add('atmospheric:yucca_chest')
  event.get('quark:revertable_chests').add('atmospheric:kousa_chest')
  event.get('quark:revertable_chests').add('atmospheric:aspen_chest')
  event.get('quark:revertable_chests').add('atmospheric:grimwood_chest')
  event.get('quark:revertable_chests').add('autumnity:maple_chest')
  event.get('quark:revertable_chests').add('bamboo_blocks:bamboo_chest')
  event.get('quark:revertable_chests').add('bayou_blues:cypress_chest')
  event.get('quark:revertable_chests').add('betterendforge:mossy_glowshroom_chest')
  event.get('quark:revertable_chests').add('betterendforge:lacugrove_chest')
  event.get('quark:revertable_chests').add('betterendforge:end_lotus_chest')
  event.get('quark:revertable_chests').add('betterendforge:pythadendron_chest')
  event.get('quark:revertable_chests').add('betterendforge:dragon_tree_chest')
  event.get('quark:revertable_chests').add('betterendforge:tenanea_chest')
  event.get('quark:revertable_chests').add('betterendforge:helix_tree_chest')
  event.get('quark:revertable_chests').add('betterendforge:umbrella_tree_chest')
  event.get('quark:revertable_chests').add('betterendforge:jellyshroom_chest')
  event.get('quark:revertable_chests').add('betterendforge:lucernia_chest')
  event.get('quark:revertable_chests').add('enhanced_mushrooms:brown_mushroom_chest')
  event.get('quark:revertable_chests').add('enhanced_mushrooms:glowshroom_chest')
  event.get('quark:revertable_chests').add('environmental:willow_chest')
  event.get('quark:revertable_chests').add('environmental:cherry_chest')
  event.get('quark:revertable_chests').add('environmental:wisteria_chest')
  event.get('quark:revertable_chests').add('terraincognita:apple_chest')
  event.get('quark:revertable_chests').add('terraincognita:hazel_chest')
  event.get('quark:revertable_chests').add('endergetic:poise_chest')
  event.get('quark:revertable_chests').add('upgrade_aquatic:driftwood_chest')
  event.get('quark:revertable_chests').add('upgrade_aquatic:river_chest')
  event.get('quark:revertable_chests').add('quark:nether_brick_chest')
  event.get('quark:revertable_chests').add('quark:purpur_chest')
  event.get('quark:revertable_chests').add('quark:prismarine_chest')
  event.get('quark:revertable_chests').add('quark:mushroom_chest')

  event.get('tnp:golden_berries').add('minecraft:sweet_berries')
  event.get('tnp:golden_berries').add('upgrade_aquatic:mulberry')
  event.get('tnp:golden_berries').add('neapolitan:white_strawberries')
  event.get('tnp:golden_berries').add('bayou_blues:gooseberries')
  event.get('tnp:golden_berries').add('neapolitan:strawberries')
  event.get('tnp:golden_berries').add('byg:blueberries')

});